Name:           ocaml-xstr
Version:        0.2.1
Release:        %mkrel 5
Summary:        Thread-safe implementation of string searching/matching/splitting
License:        MIT/X11
Group:          Development/OCaml
URL:            http://projects.camlcity.org/projects/xstr.html
Source0:        http://download.camlcity.org/download/xstr-%{version}.tar.gz
BuildRequires:  ocaml-findlib

%description
This package implements frequent string operations: searching, replacing,
splitting, matching. It is independent from the Str library, and can
replace Str in many cases. Unlike Str, xstr is thread-safe. xstr does
not implement regular expressions in general, but an important subset.
Some operations of xstr are performed as quickly as by Str; if the string
to be processed is small, xstr is often faster than Str; if the string is
big, xstr is upto half as fast than Str.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n xstr

%build
make all opt

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
export DLLDIR=$OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/stublibs
mkdir -p $OCAMLFIND_DESTDIR/xstr
make install

%files
%doc LICENSE README
%dir %{_libdir}/ocaml/xstr
%{_libdir}/ocaml/xstr/META
%{_libdir}/ocaml/xstr/*.cma
%{_libdir}/ocaml/xstr/*.cmi

%files devel
%{_libdir}/ocaml/xstr/*.a
%{_libdir}/ocaml/xstr/*.cmxa
%{_libdir}/ocaml/xstr/*.mli


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 0.2.1-5.mga4
+ Revision: 508578
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.2.1-4.mga3
+ Revision: 361718
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 0.2.1-3.mga3
+ Revision: 301103
- rebuild for ocaml-4.00.0

* Sat Sep 29 2012 blue_prawn <blue_prawn> 0.2.1-2.mga3
+ Revision: 300526
- new rpm group for ocaml

* Mon Jan 09 2012 blue_prawn <blue_prawn> 0.2.1-1.mga2
+ Revision: 194011
- clean spec file
- imported package ocaml-xstr

